@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@300&display=swap');

.heading {
  color: var(--black);
  font-family: Basenji;
  font-size: 20px;
  font-weight: 600;
  margin: 0;
  text-align: center;
  text-transform: uppercase;
}
@media (min-width: 992px) {
  .heading {
    font-size: 30px;
  }
}

.collection-post {}
.collection-post__heading {
  margin-bottom: 20px;
}
.collection-post__module + .collection-post__module,
.collection-post__button {
  margin-top: 35px;
}
.collection-post__button {
  text-align: center;
  padding-inline: 15px;
}
.collection-post__description {
  margin-inline: auto;
  max-width: 930px;
  padding-inline: 15px;
}
.collection-post__description * {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 300;
  font-style: normal;
}
.collection-post__description *:last-child {
  margin-bottom: 0;
}
@media (min-width: 992px) {
  .collection-post__heading {
    margin-bottom: 25px;
  }
  .collection-post__module + .collection-post__module {
    margin-top: 80px;
  }
}
@media (min-width: 1200px) {
  .collection-post__module + .collection-post__module {
    margin-top: 100px;
  }
}

.gallery {
  overflow: hidden;
}
.gallery__title {
  margin-bottom: 15px;
}
.gallery__container {
  padding-inline: 15px;
}
.gallery__items {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}
.gallery__item {
  flex-shrink: 0;
}
a.gallery__item {
  display: block;
}
a.gallery__item:hover {
  opacity: 0.95;
  /*filter: brightness(.95);*/
}
.gallery__item-img {
  height: 160px;
  width: auto;
  display: block;
}
.gallery__item-text {
  font-size: 13px;
  line-height: 16px;
  margin-top: 4px;
  min-width: 100%;
  width: 0;
}

@media (hover: none) and (pointer: coarse) and (max-width: 767.98px) {
  .gallery__container.is-scrollable {
    overflow-x: auto;
    padding-bottom: 10px;
  }
  .gallery__container.is-scrollable::-webkit-scrollbar {
    width: 2px;
    height: 2px;
  }
  .gallery__container.is-scrollable::-webkit-scrollbar-track {
    background-color: rgba(217, 217, 217, 0.4);
    border-radius: 2px;
    margin: 15px;
  }
  .gallery__container.is-scrollable::-webkit-scrollbar-thumb {
    background-color: rgba(32, 32, 32, 0.3);
    border-radius: 2px;
  }
  .is-scrollable .gallery__items {
    flex-wrap: nowrap;
    gap: 8px;
    justify-content: start;
  }
  .is-scrollable .gallery__item:last-child {
    padding-right: 15px;
  }
  .gallery--project .gallery__item-img {
    height: 180px;
  }
  .gallery--work .gallery__item-img {
    height: 105px;
  }
}

@media (min-width: 768px) {
  .gallery__item-img {
    height: 220px;
  }
}
@media (min-width: 992px) {
  .gallery__title {
    margin-bottom: 20px;
  }
  .gallery__container {
    padding-inline: 30px;
  }
}
@media (min-width: 1200px) {
  .gallery__items {
    row-gap: 30px;
  }
  .gallery__item-img {
    height: 280px;
  }
  .gallery--project .gallery__item-img {
    height: 320px;
  }
  .gallery__item-text {
    margin-top: 8px;
    padding: 0 20px;
  }
}
@media (min-width: 1440px) {
  .gallery + .gallery {
    margin-top: 130px;
  }
  .gallery__item-img {
    height: 360px;
  }
  .gallery--project .gallery__item-img {
    height: 380px;
  }
}
